Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 21 Nov 2018, 16:21
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
YouTube player won't play, gives HTML5 error
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [34 Posts]   Goto page: 1, 2, 3 Next
Author Message
nubc


Joined: 23 Jan 2007
Posts: 1976
Location: USA

PostPosted: Wed 26 Sep 2018, 06:46    Post subject:  YouTube player won't play, gives HTML5 error
Subject description: error: no app to play file format
 

I'm running Tahr 6.0.5 and FF Quantum 62.0.2 (32-bit) on a Dell Precision Dual Core with 4 GB ram. About a week ago, YouTube started refusing to play every other YT video, giving an HTML5 error. What has happened and how do I fix this?

My guess is that an autoupdate of FF Quantum, which typically freezes my computer necessitating hard shutdown, overwrote settings related to apulse. Can someone link me to the apulse thread by OscarTalks. That's odd, his user name did not show results when searched.
http://murga-linux.com/puppy/viewtopic.php?search_id=966376612&t=113353&start=30

How does this happen to just me, and not other Puppy users? Don't you guys use YouTube?
Back to top
View user's profile Send private message 
nic007


Joined: 13 Nov 2011
Posts: 2683
Location: Cradle of Humankind

PostPosted: Wed 26 Sep 2018, 07:22    Post subject:  

Copyright issues could be one of the things. In the past months there has definitely been a drive to disable viewing of copyrighted material altough those videos are still listed. I use Palemoon so I don't think this is browser related unless your browser do not support html5 (old browsers). Having said that - I have been able to download some videos which would not view on the youtube site.
Back to top
View user's profile Send private message 
nubc


Joined: 23 Jan 2007
Posts: 1976
Location: USA

PostPosted: Wed 26 Sep 2018, 08:14    Post subject:  

https://www.youtube.com/watch?v=mqtntgqhVSo
Using Palemoon

Quote:
Your browser does not currently recognize any of the video formats available.
Back to top
View user's profile Send private message 
rockedge


Joined: 11 Apr 2012
Posts: 867
Location: Connecticut, United States

PostPosted: Wed 26 Sep 2018, 08:48    Post subject:  

video runs nicely on palemoon 28 for me... good tune by the way....
Screenshot(13).png
 Description   
 Filesize   129.25 KB
 Viewed   237 Time(s)

Screenshot(13).png

Back to top
View user's profile Send private message Visit poster's website 
nic007


Joined: 13 Nov 2011
Posts: 2683
Location: Cradle of Humankind

PostPosted: Wed 26 Sep 2018, 09:21    Post subject:  

Doesn't for me so my Palemoon is too old (Version25...). Could it be that the video is encoded using VP9 and not VP8?
Back to top
View user's profile Send private message 
rockedge


Joined: 11 Apr 2012
Posts: 867
Location: Connecticut, United States

PostPosted: Wed 26 Sep 2018, 09:45    Post subject:  

yes I believe your version is definitely the cause. Even the version 27.9+ started to give me hassles with some javascript music / video players I use on various websites I've built. The recent version 28 so far has played nicely with those players and seems to run Youtube and Facebook video OK.

I also have palemoon 28+ running on Corepup-6 which is based on TinyCore Linux and that is on a IBM T-42 Pentium M 785 megs of RAM. Palemoon performs fairly well on this 2003 machine. Runs in Tahr 6.0.6 nopae on the same machine. Works with the same Tahr with a 4.17.9 kernel swapped in and using "forcepae" in the boot options. Palemoon works on this IBM T-42 when other browsers won't really at all.
Back to top
View user's profile Send private message Visit poster's website 
oldaolgeezer

Joined: 03 Dec 2006
Posts: 45

PostPosted: Wed 26 Sep 2018, 10:02    Post subject: YouTube player won't play, gives HTML5 error
Subject description: finding a Puppy browser and Puppy audio and video library
 

nubc:

After the yesteryear's youtube purge of flash player video formats,
I sympathize with you about the increasing difficulty of finding a
Puppy browser (Firefox - Chrome - palemoon) and Puppy
audio (ALSA - pulseaudio) and video library
software (HTML5 - H.264, MPEG codecs) being able to play the
latest round of seemingly constantly tweaked by Google youtube
video formats.

nic007 mentioned probable VP9 video encoding:
https://en.wikipedia.org/wiki/VP9

As rockedge confirmed:
There seems to be some hope (at the moment) with "out of the box"
Puppy version and Puppy library versions and Puppy browser version:
I tried your example: https://www.youtube.com/watch?v=mqtntgqhVSo
and it played for me using palemoon version 28.1.0 32 bit running on
Puppy upupbb 18.05.

Hope this helps.
Back to top
View user's profile Send private message 
nic007


Joined: 13 Nov 2011
Posts: 2683
Location: Cradle of Humankind

PostPosted: Wed 26 Sep 2018, 10:41    Post subject:  

All YT videos (as far as I know) is also available in mp4 format on their servers. Why they decided to go with .webm only viewing which requires newer and newer browsers to play it, is unfortunate. They should enable mp4 streaming from their servers.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 11291
Location: Charleston S.C. USA

PostPosted: Wed 26 Sep 2018, 10:49    Post subject:  

Quote:
I'm running Tahr 6.0.5 and FF Quantum 62.0.2 (32-bit)

How is Tahrpup installed?
Frugal or full?
If frugal. Using save file or save folder?
On what storage device?
Formatted what?

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
fabrice_035


Joined: 28 Apr 2014
Posts: 536
Location: Bretagne / France

PostPosted: Wed 26 Sep 2018, 10:59    Post subject:  

Hey,
I already had the same problem (firefox quantum), I do not know if it's the same thing, but I solved the problem by erasing the profil folder . Or try in command line,


Code:

firefox --ProfileManager


and create new profile and try the tube.

Regard.
Back to top
View user's profile Send private message 
nic007


Joined: 13 Nov 2011
Posts: 2683
Location: Cradle of Humankind

PostPosted: Wed 26 Sep 2018, 11:12    Post subject:  

Ah, thought there must be a workaround. Play the file in mp4 (or even mp3 if it's basic only audio) format with your external player like so: Go to https://getvideo.at/en/ > copy and then paste the youtube link in the "enter a video link box) > click search > all available formats for the video will be displayed > right-click on the mp4 option of your choice > select one of the open link options (I'm using Palemoon could be different for other browsers) > your distributions default mediaplayer should play it now (Tahr's VLC in my case). Smile

Edit: This site works faster for youtube. https://youtubemultidownloader.net/. Copy and paste video link in box > right-click your mp4 choice in dark blue and open link.

Last edited by nic007 on Thu 27 Sep 2018, 00:55; edited 1 time in total
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 11291
Location: Charleston S.C. USA

PostPosted: Wed 26 Sep 2018, 12:50    Post subject:  

I use PaleMoon and have no issues with YouTube.
There is a preferences setting for video to make sure is turned on.
preferences>Content>Video>enable media source extensions (MSE)


Quote:
Can someone link me to the apulse thread by OscarTalks.

See if this helps you.

Just have the apulse 0.1.11 from here installed. Nothing else.
Make sure to use the correct bit version.
http://smokey01.com/OscarTalks/
Reboot after you install it to make sure it is saved and loaded at the correct place.

You will also need this:

/root/.mozilla/firefox
Look for a directory that ends in .default

Put the user.js file in that directory.

Use Geany to make this user.js file.
This is what needs to be in it.
watchdog's code
Code:
// for using apulse with latest firefox
user_pref("security.sandbox.content.write_path_whitelist", "/dev/snd/");
user_pref("security.sandbox.content.syscall_whitelist", "/dev/snd/");
user_pref("security.sandbox.content.read_path_whitelist", "/dev/snd/");


Build 58 requires user_pref("security.sandbox.content.syscall_whitelist", "/dev/snd/"); to be set to "16" now instead of /dev/snd/, so am currently using

Code:
// for using apulse with latest firefox
user_pref("security.sandbox.content.write_path_whitelist", "/dev/snd/");
user_pref("security.sandbox.content.syscall_whitelist", "16");
user_pref("security.sandbox.content.read_path_whitelist", "/dev/snd/");

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
nubc


Joined: 23 Jan 2007
Posts: 1976
Location: USA

PostPosted: Wed 26 Sep 2018, 13:04    Post subject:  

Bigpup, this is a frugal install, using a tahrpup 605 CD as boot device. I have two 4T hard drives. The first drive has a small partition for tahrsave and two sfs directories. The remainder of the first drive is a data partition. The second hard drive is a single data partition. All partitions are e3 file system.

Bigpup, what version of palemoon?

I'm not too thrilled about using PaleMoon instead of FF Quantum. As I recall, my preferred virtual keyboard did not work in PM's browser address field. There was also the issue of PM not having a standard YT downloader add-on.

What is the highest version to which Tahrpup 605's PM 25.8.1 will update?
Back to top
View user's profile Send private message 
a_salty_dogg


Joined: 15 Dec 2013
Posts: 137

PostPosted: Wed 26 Sep 2018, 13:59    Post subject:  

Palemoon-updater at "Menu > Internet" is deprecated and will no longer work.

Latest Palemoon version is 28.1.0 which needs to be downloaded from here (choosing the correct tarball for your OS's architecture, 32 or 64 bit), then the contents of the tarball extracted to "/opt/".

Compatible with all Puppies going back to Precise and Slacko 5.7, including all flavours of Tahr.
(Wary, and possibly Lucid (? dunno, don't use it), need watchdog's "tweak" .pet)

Updates from version 28 onwards can be performed from within the browser at "Help > About Pale Moon > Check for Updates".
Back to top
View user's profile Send private message 
s243a

Joined: 02 Sep 2014
Posts: 1293

PostPosted: Wed 26 Sep 2018, 14:55    Post subject:  

nic007 wrote:
All YT videos (as far as I know) is also available in mp4 format on their servers. Why they decided to go with .webm only viewing which requires newer and newer browsers to play it, is unfortunate. They should enable mp4 streaming from their servers.


Probably mp4 doesn't support their live videos.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [34 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1205s ][ Queries: 12 (0.0101s) ][ GZIP on ]